Class | WSDL::SOAP::Operation::OperationInfo
In: | wsdl/soap/operation.rb
Parent: | Object

### Methods

new

### Attributes

bodyparts | [R] |
faultpart | [R] |
headerparts | [R] |
op_name | [R] |
optype_name | [R] |
soapaction | [R] |
style | [R] |

### Public Class methods

new(style, op_name, optype_name, headerparts, bodyparts, faultpart, soapaction)

[Source]

    # File wsdl/soap/operation.rb, line 26
        def initialize(style, op_name, optype_name, headerparts, bodyparts, faultpart, soapaction)
          @style = style
          @op_name = op_name
          @optype_name = optype_name
          @headerparts = headerparts
          @bodyparts = bodyparts
          @faultpart = faultpart
          @soapaction = soapaction
        end

[Validate]